Is OS X Mountain Lion only compatible with 2011 and newer Macs? (Part 1)

Episode 901 (1:06:34)

Paul from Arizona
Mountain Lion

Leo says that's not entirely accurate, but it is limited in some ways to newer Macs. Apple has a compatibility page so he could check if his computer could support it. In general though, iMacs made in mid 2007 or later can run Mountain Lion.

It may not have any really exciting features, but before too long he'll need the newest version to run apps. It's only $20 and easy to do, so most Mac users do upgrade. If it's a machine that's pretty mission critical, it's a good idea to wait until the first update to the latest operating system.

Topics: